Version 4.0.26.22 (latest)

### Update the dashboard layout with a specific id.

## Request

PATCH /dashboard_layouts/{dashboard_layout_id} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... dashboard_layout_id string Id of dashboard layout body HTTP Body Expand HTTP Body definition... body [DashboardLayout](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayout) DashboardLayout Expand DashboardLayout definition... can object Operations the current user is able to perform on this object id string Unique Id dashboard_id string Id of Dashboard type string Type active boolean Is Active column_width integer Column Width width integer Width deleted boolean Whether or not the dashboard layout is deleted. dashboard_title string Title extracted from the dashboard this layout represents. dashboard_layout_components [DashboardLayoutComponent](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayoutComponent)\[\] label string Label description string Description order integer Order lookml_link_id string LookML link ID (stable name) query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: DashboardLayout

Datatype Description (object) [DashboardLayout](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayout) can object Operations the current user is able to perform on this object id string Unique Id dashboard_id string Id of Dashboard type string Type active boolean Is Active column_width integer Column Width width integer Width deleted boolean Whether or not the dashboard layout is deleted. dashboard_title string Title extracted from the dashboard this layout represents. dashboard_layout_components [DashboardLayoutComponent](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardLayoutComponent)\[\] Expand DashboardLayoutComponent definition... can object Operations the current user is able to perform on this object id string Unique Id dashboard_layout_id string Id of Dashboard Layout dashboard_element_id string Id Of Dashboard Element row integer Row column integer Column width integer Width height integer Height deleted boolean Whether or not the dashboard layout component is deleted element_title string Dashboard element title, extracted from the Dashboard Element. element_title_hidden boolean Whether or not the dashboard element title is displayed. vis_type string Visualization type, extracted from a query's vis_config granular_row integer Row (granular layout) granular_column integer Column (granular layout) granular_width integer Width (granular layout) granular_height integer Height (granular layout) group_id string Id of parent Dashboard Layout Component group label string Label description string Description order integer Order lookml_link_id string LookML link ID (stable name)

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link